package de.ugoe.cs.swe.exercises.settings;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.handlers.HandlerUtil;

public class SettingsHandler extends AbstractHandler {

	@Override
	public Object execute(ExecutionEvent event) throws ExecutionException {
		IWorkbenchWindow window = HandlerUtil.getActiveWorkbenchWindow(event);
		SettingsDialog dialog = new SettingsDialog(window.getShell());
//		SettingsDialog2 dialog = new SettingsDialog2(window.getShell());
		dialog.open();
		return null;
	}

}
